<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package blogshop
 */
?>

</div><!-- #content -->

<?php
if (!is_page_template( 'blankpage.php' )) :
	if (!is_page_template( 'fullwidth.php' )) :
		$footernewsletter = get_theme_mod('footer_news_letter_on_off', false);
		if (true == $footernewsletter) :
			get_template_part( 'template-parts/newslatter' );
		endif;
	endif;
	dynamic_sidebar( 'footer-top' );
	$getfooter_column = get_theme_mod( 'footer_column', 3 );
	$footerlayout = 'three';
	if (4 == $getfooter_column) {
		$footerlayout = 'four';
	}elseif (2 == $getfooter_column) {
		$footerlayout = 'two';
	}else{
		$footerlayout = 'three';
	}
	get_template_part( 'template-parts/footer', $footerlayout );
	?>
	<footer id="colophon" class="site-footer">
		<?php
		$get_footer_credit = get_theme_mod( 'footer_credit_on_off', true );
		if ( true == $get_footer_credit ) :
			blogshop_footer_credit();
		endif;
		?>
		<div class="container">
			<div class="row">
				<div class="col-md-6 text-left">
					<div class="site-info">
						<?php
						$getcopyrighttext = get_theme_mod('copyright_text');
						if (!empty($getcopyrighttext)) {
							echo wp_kses_post($getcopyrighttext);
						}else{
						printf('<p>%s <a href="%s">%s</a>', esc_html__( 'Theme ', 'blogshop' ), 'https://theimran.com/', esc_html__('BlogShop', 'blogshop' ) );
					} ?>
					</div><!-- .site-info -->
				</div>
				<div class="col-md-6 text-right">
					<div class="footer-menu">
						<?php
						wp_nav_menu(
							array(
								'theme_location'  => 'footer-menu',
								'container' => 'ul',
							)
						);
						?>
					</div>
				</div>
			</div>
		</div>
	</footer><!-- #colophon -->
<?php endif; ?>
	<div class="scrooltotop">
		<a href="#" class="fa fa-angle-up"></a>
	</div>
</div><!-- #page -->

<?php wp_footer(); ?>
</body>
</html>
